Bug 44733 - dialog SRPM needs build dependency on ncurses-devel
dialog SRPM needs build dependency on ncurses-devel
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: dialog (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-15 15:38 EDT by Jay Turner
Modified: 2015-01-07 18:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-15 15:38:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glen Foster 2001-06-15 15:38:06 EDT
Description of Problem: with the 7.1 product, you cannot build the dialog
SRPM without having ncurses-devel installed.   But, if "rpm -ba
/usr/src/redhat/SPECS/dialog*spec" is executed, you do NOT get an error
from rpm about missing/unsatisfied build dependencies.  If you install the
ncurses-devel rpm, the dialog SRPM builds without problems.

 How Reproducible: Always

 Steps to Reproduce:
 1. rpm -e ncurses-devel
 2. rpm -Uvh <tree-path>/SRPMS/dialog*.src.rpm
 3. rpm -ba /usr/src/redhat/SPECS/dialog*spec
 4. rpm -Uvh <tree-path>/RedHat/RPMS/ncurses-devel*
 5. rpm -ba /usr/src/redhat/SPECS/dialoh*spec

 Actual Results:
 first 3 steps result in a failure WITHOUT a build-requires error from
rpm(1)
 next 2 steps build the SRPM without fail


 Expected Results: I would expect an rpm error message to be written to
stderr informing me the dialog SRPM cannot be built without installing the
ncurses-devel RPM.

Additional Information:
Comment 1 Harald Hoyer 2001-06-18 03:49:01 EDT
Fixed in dialog-0.9a-5.
Additionally removed perl dependency.

Note You need to log in before you can comment on or make changes to this bug.